## org.apache.lucene.search
Class CheckHits.ExplanationAssertingSearcher

    java.lang.Object
      org.apache.lucene.search.IndexSearcher
          org.apache.lucene.search.CheckHits.ExplanationAssertingSearcher

Enclosing class:
  CheckHits

    public static class CheckHits.ExplanationAssertingSearcher

extends IndexSearcher

an IndexSearcher that implicitly checks hte explanation of every match whenever it executes a search.

See Also:
  `CheckHits.ExplanationAsserter`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.IndexSearcher
`IndexSearcher.LeafSlice`

Field Summary

Fields inherited from class org.apache.lucene.search.IndexSearcher
`leafContexts, leafSlices, readerContext`

Constructor Summary
`CheckHits.ExplanationAssertingSearcher(IndexReader r)`

Method Summary
`protected void` `checkExplanations(Query q)`
`void` `search(Query query, Collector results)`
`void` `search(Query query, Filter filter, Collector results)`
`TopDocs` `search(Query query, Filter filter, int n)`
`TopFieldDocs` `search(Query query, Filter filter, int n, Sort sort)`

Methods inherited from class org.apache.lucene.search.IndexSearcher
`collectionStatistics, createNormalizedWeight, doc, doc, doc, document, explain, explain, getDefaultSimilarity, getIndexReader, getSimilarity, getTopReaderContext, rewrite, search, search, search, search, search, search, search, search, search, searchAfter, searchAfter, searchAfter, searchAfter, searchAfter, setSimilarity, slices, termStatistics, toString, wrapFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CheckHits.ExplanationAssertingSearcher

    public CheckHits.ExplanationAssertingSearcher(IndexReader r)

Method Detail

### checkExplanations

    protected void checkExplanations(Query q)
                              throws IOException

  Throws:
    `IOException`

### search

    public TopFieldDocs search(Query query,
                               Filter filter,
                               int n,
                               Sort sort)
                        throws IOException

  Overrides:
    `search` in class `IndexSearcher`
  Throws:
    `IOException`

### search

    public void search(Query query,
                       Collector results)
                throws IOException

  Overrides:
    `search` in class `IndexSearcher`
  Throws:
    `IOException`

### search

    public void search(Query query,
                       Filter filter,
                       Collector results)
                throws IOException

  Overrides:
    `search` in class `IndexSearcher`
  Throws:
    `IOException`

### search

    public TopDocs search(Query query,
                          Filter filter,
                          int n)
                   throws IOException

  Overrides:
    `search` in class `IndexSearcher`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.